Skip to main content
PUT
/
handling_unit
/
{id}
Update handling_unit
curl --request PUT \
  --url https://api.truecold.io/handling_unit/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "code": "<string>",
  "delivery_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "zone_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "material_id": "<string>",
  "archived": true
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "code": "<string>",
  "material_code": "<string>",
  "material_name": "<string>",
  "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "site_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "soft_deleted": "2023-11-07T05:31:56Z",
  "soft_deleted_by": "<string>",
  "material_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "TOR_accumulated_minutes": 123,
  "max_temp": 123,
  "min_temp": 123,
  "updated_at": "2023-11-07T05:31:56Z",
  "zone_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "delivery_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "emails_to_notify": [
    "<string>"
  ],
  "avg_temp": 123,
  "humidity_min": 123,
  "humidity_max": 123,
  "humidity_avg": 123,
  "risk_score": 123,
  "archived": true
}

Documentation Index

Fetch the complete documentation index at: https://integrations.truecold.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

API key for authentication. Contact your administrator to get an API key.

Path Parameters

id
string
required

Handling_unit ID

Body

application/json

Handling unit update. Two modes: (1) Regular update — provide code, zone_id and material_id (required) plus optional delivery_id; (2) Archive — provide only archived: true.

code
string

Handling unit code (required for regular update)

delivery_id
string<uuid> | null

Related delivery ID (optional, nullable)

zone_id
string<uuid>

Related zone ID (required for regular update)

material_id
string

Related material ID (required for regular update)

archived
boolean

Set to true to archive this handling unit. When archiving, code/zone_id/material_id are not required.

Response

Successfully updated handling_unit

Handling_unit entity (API response)

id
string<uuid>

Unique identifier

created_at
string<date-time>

Creation timestamp

code
string

code code

material_code
string

material code

material_name
string

material name

account_id
string<uuid>

Account ID

site_id
string<uuid>

Site ID

soft_deleted
string<date-time>

Soft deletion timestamp

soft_deleted_by
string

User who soft deleted the record

material_id
string<uuid>

Material ID

TOR_accumulated_minutes
integer

TOR Accumulated Minutes

max_temp
number

Max Temp

min_temp
number

Min Temp

updated_at
string<date-time>

Last update timestamp

zone_id
string<uuid>

Zone ID

delivery_id
string<uuid>

Delivery ID

emails_to_notify
string[]

Email address

avg_temp
number | null

Average temperature

humidity_min
number | null

Minimum humidity

humidity_max
number | null

Maximum humidity

humidity_avg
number | null

Average humidity

risk_score
number | null

Risk score

archived
boolean | null

Whether the handling unit is archived